Subject: bug#58406: 29.0.50; Bars refactoring?

From: Manuel Giraud <[email-masked]>
Date: Mon, 10 Oct 2022 14:10:07 +0200

Po Lu <[email-masked]> writes:

> Manuel Giraud <[email-masked]> writes:
>
>> mouse over highlight: like the relief on tool bar button or, even
>> better, with highlight face like on the modeline.
>
> I'm afraid I don't see the utility of that in a menu bar, since it
> doesn't consist of "buttons" in the sense that the tool bar or tab bar
> do, and no program does that anymore.

I find it useful to have some visual feed back that some text is
clickable (the mode-line is a good example of this IMO).  What do you
mean by "no program does that anymore"?  Do you that this is done by the
widget library?

>> I understand that it is too close to Emacs 29.  Do you think the menu
>> bar could be made to mimic some feature of the tool bar (like tab bar
>> did)?  Or do you think it would add to the cargo cult?
>
> I'd rather not touch any of the *bar code before Emacs 29 is cut.  Most
> people do not use the bars, leading to many latent bugs.  Examples:
> mouse face not being cleared when tooltips are enabled and the mouse
> moves outside the frame, last_tool_bar_item not being cleared in the
> same case, and last_tab_bar_item not being cleared, leading to mouse
> highlight not working after the mouse is released outside a frame.
>
> These bugs are particularly nasty because they only happen in rare
> situations, but can completely ruin the visual appearance of a frame
> when they do.

Ok, maybe I could look into them as an exercise on xdisp.c
-- 
Manuel Giraud